# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-02-28 21:23
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('wellsfargo', '0009_drop_oscar_accounts_2'),
    ]

    operations = [
        # Remove transfermetadata link to oscar_accounts.transfer
        migrations.RemoveField(
            model_name='transfermetadata',
            name='transfer',
        ),


        # Make user a nullable field on credit applications
        migrations.AlterField(
            model_name='cacreditapp',
            name='user',
            field=models.ForeignKey(blank=True, help_text='Select the user user who is applying and who will own (be the primary user of) this account.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='ca_individual_credit_apps', to=settings.AUTH_USER_MODEL, verbose_name='Owner'),
        ),
        migrations.AlterField(
            model_name='cajointcreditapp',
            name='user',
            field=models.ForeignKey(blank=True, help_text='Select the user user who is applying and who will own (be the primary user of) this account.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='ca_joint_credit_apps', to=settings.AUTH_USER_MODEL, verbose_name='Owner'),
        ),
        migrations.AlterField(
            model_name='uscreditapp',
            name='user',
            field=models.ForeignKey(blank=True, help_text='Select the user user who is applying and who will own (be the primary user of) this account.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='us_individual_credit_apps', to=settings.AUTH_USER_MODEL, verbose_name='Owner'),
        ),
        migrations.AlterField(
            model_name='usjointcreditapp',
            name='user',
            field=models.ForeignKey(blank=True, help_text='Select the user user who is applying and who will own (be the primary user of) this account.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='us_joint_credit_apps', to=settings.AUTH_USER_MODEL, verbose_name='Owner'),
        ),


        # Delete accountowner model
        migrations.DeleteModel(
            name='AccountOwner',
        ),


        # Delete accountmetadata model
        migrations.RemoveField(
            model_name='accountmetadata',
            name='account',
        ),
        migrations.RemoveField(
            model_name='accountmetadata',
            name='billing_address',
        ),
        migrations.DeleteModel(
            name='AccountMetadata',
        ),


        # Delete transactionrequest model
        migrations.RemoveField(
            model_name='transactionrequest',
            name='dest_account',
        ),
        migrations.RemoveField(
            model_name='transactionrequest',
            name='financing_plan',
        ),
        migrations.RemoveField(
            model_name='transactionrequest',
            name='source_account',
        ),
        migrations.RemoveField(
            model_name='transactionrequest',
            name='transfer',
        ),
        migrations.RemoveField(
            model_name='transactionrequest',
            name='user',
        ),
        migrations.DeleteModel(
            name='TransactionRequest',
        ),


        # Remove credit application link to oscar_accounts.account
        migrations.RemoveField(
            model_name='cacreditapp',
            name='account',
        ),
        migrations.RemoveField(
            model_name='cajointcreditapp',
            name='account',
        ),
        migrations.RemoveField(
            model_name='uscreditapp',
            name='account',
        ),
        migrations.RemoveField(
            model_name='usjointcreditapp',
            name='account',
        ),
    ]
